geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jacek Laskowski" <ja...@laskowski.net.pl>
Subject Re: Version numbers for plugins of external apps
Date Sun, 02 Mar 2008 08:28:58 GMT
On Sat, Mar 1, 2008 at 5:18 PM, David Jencks <david_jencks@yahoo.com> wrote:

>  C. Include both the external app version and geronimo version in the
>  artifactId, e.g. roller-4.0-g-2.1-jetty-1.0  would be the first
>  release of a roller plugin using roller 4.0 and geronimo 2.1.

That's the longest versioning scheme, but I'm leaning towards this as
it can help easily differentiate between different versions of
respective artifacts a plugin works with. It made me thinking about
the same plugin, but for different Geronimo releases? As of now, we've
got 2.1 and 2.0.2. How would we express with the versioning scheme
that a given plugin works with 2.1 and 2.0.2 (if at all possible due
to different plugin descriptors).

I'm for C. If that doesn't work, we'll change/augment it.

Jacek

-- 
Jacek Laskowski
http://www.JacekLaskowski.pl

Mime
View raw message